# Generated by Django 2.2.9 on 2020-03-09 14:41

import automationcommon.models
from django.db import migrations, models
import multiselectfield.db.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Asset',
            fields=[
                ('id', models.UUIDField(db_index=True, default=uuid.uuid4, editable=False,
                                        primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, db_index=True, max_length=255, null=True)),
                ('department', models.CharField(
                    blank=True, db_index=True, max_length=255, null=True)),
                ('purpose', models.CharField(
                    blank=True, choices=[
                        ('teaching', 'Teaching'),
                        ('research', 'Research (Academic)'),
                        ('research_organisational', 'Research (Organisational)'),
                        ('student_administration', 'Student administration'),
                        ('staff_administration', 'Staff administration (HR)'),
                        ('alumni_supporter_administration', 'Alumni/supporter administration'),
                        ('supplier_customer_administration', 'Supplier/customer administration'),
                        ('financial_estate_administration', 'Financial/estate administration'),
                        ('governance_compliance', 'Governance/compliance'),
                        ('security', 'Security'),
                        ('marketing', 'Marketing'),
                        ('public_engagement', 'Public engagement'),
                        ('other', 'Other')],
                    db_index=True, max_length=255, null=True)),
                ('purpose_other', models.TextField(blank=True, db_index=True, null=True)),
                ('owner', models.CharField(blank=True, db_index=True, max_length=50, null=True)),
                ('private', models.BooleanField(db_index=True, default=False)),
                ('personal_data', models.NullBooleanField(db_index=True)),
                ('data_subject', multiselectfield.db.fields.MultiSelectField(
                    blank=True, choices=[
                        ('students', 'Students, applicants'),
                        ('staff', 'Staff, job applicants'),
                        ('alumni', 'Alumni, supporters'),
                        ('research', 'Research participants'),
                        ('patients', 'Patients'),
                        ('supplier', 'Suppliers, professional advisers and consultants'),
                        ('public', 'Members of public')],
                    db_index=True, max_length=55, null=True)),
                ('data_category', multiselectfield.db.fields.MultiSelectField(
                    blank=True, choices=[
                        ('education', 'Education records'),
                        ('alumni', 'Alumni records'),
                        ('contact', 'Basic contact details'),
                        ('employment', 'Employment records'),
                        ('financial', 'Financial details'),
                        ('social', 'Lifestyle and social circumstances'),
                        ('visual', 'Visual images'),
                        ('research', 'Research data'),
                        ('medical', 'Medical records'),
                        ('children', 'Personal data about children under 16'),
                        ('racial', 'Racial or ethic origin'),
                        ('political', 'Political opinions'),
                        ('unions', 'Trade union membership'),
                        ('religious', 'Religious or similar beliefs'),
                        ('health', 'Physical or mental health details'),
                        ('sexual', 'Sexual life and orientation'),
                        ('genetic', 'Genetic information'),
                        ('biometric', 'Biometric information'),
                        ('criminal', 'Criminal proceedings, outcomes and sentences')],
                    db_index=True, max_length=160, null=True)),
                ('recipients_outside_uni', models.CharField(
                    blank=True, choices=[('yes', 'Yes'), ('no', 'No'), ('not_sure', 'Not Sure')],
                    db_index=True, max_length=8, null=True)),
                ('recipients_outside_eea', models.CharField(
                    blank=True, choices=[('yes', 'Yes'), ('no', 'No'), ('not_sure', 'Not Sure')],
                    db_index=True, max_length=8, null=True)),
                ('recipients_outside_uni_description', models.CharField(
                    blank=True, db_index=True, max_length=255, null=True)),
                ('recipients_outside_eea_description', models.CharField(
                    blank=True, db_index=True, max_length=255, null=True)),
                ('retention', models.CharField(
                    blank=True, choices=[
                        ('<1', 'Less than 1 year'),
                        ('>=1,<=5', '1 to 5 years'),
                        ('>5,<=10', '5 to 10 years'),
                        ('>10,<=75', '10 to 75 years'),
                        ('forever', 'Forever')],
                    db_index=True, max_length=255, null=True)),
                ('risk_type', multiselectfield.db.fields.MultiSelectField(
                    blank=True, choices=[
                        ('financial', 'Financial'),
                        ('operational', 'Operational'),
                        ('compliance', 'Compliance'),
                        ('reputational', 'Reputational'),
                        ('safety', 'Personal Safety'),
                        ('none', 'None of the above')],
                    db_index=True, max_length=57, null=True)),
                ('risk_type_additional', models.TextField(blank=True, db_index=True, null=True)),
                ('storage_location', models.CharField(
                    blank=True, db_index=True, max_length=255, null=True)),
                ('storage_format', multiselectfield.db.fields.MultiSelectField(
                    blank=True, choices=[('digital', 'Digital'), ('paper', 'Paper')],
                    db_index=True, max_length=13, null=True)),
                ('paper_storage_security', multiselectfield.db.fields.MultiSelectField(
                    blank=True, choices=[
                        ('locked_cabinet', 'Locked filing cabinet'),
                        ('safe', 'Safe'),
                        ('locked_room', 'Locked room'),
                        ('locked_building', 'Locked building'),
                        ('none', 'None of the above')],
                    db_index=True, max_length=52, null=True)),
                ('digital_storage_security', multiselectfield.db.fields.MultiSelectField(
                    blank=True, choices=[
                        ('pwd_controls', 'Password controls'),
                        ('acl', 'Access control lists'),
                        ('backup', 'Backup'),
                        ('encryption', 'Encryption'),
                        ('none', 'None of the above')],
                    db_index=True, max_length=39, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated_at', models.DateTimeField(auto_now=True, db_index=True)),
                ('deleted_at', models.DateTimeField(blank=True, default=None, null=True)),
            ],
            bases=(automationcommon.models.ModelChangeMixin, models.Model),
        ),
    ]
